# Uses of Class
org.eclipse.birt.chart.event.TextRenderEvent

Packages that use TextRenderEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of TextRenderEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type TextRenderEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`drawText(TextRenderEvent tre)`
`void`
IPrimitiveRenderer.`drawText(TextRenderEvent tre)`
This method renders text on the target rendering device's graphic context using one of the three methods: 1.

## Uses of TextRenderEvent in org.eclipse.birt.chart.event

Subclasses of TextRenderEvent in org.eclipse.birt.chart.event
Modifier and Type
Class
Description
`final class`
`Text3DRenderEvent`
A rendering event type for rendering 3D text object.

## Uses of TextRenderEvent in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return types with arguments of type TextRenderEvent
Modifier and Type
Method
Description
`List<TextRenderEvent>`
DeferredCache.`getAllLabels()`
Returns all cached labels.
Methods in org.eclipse.birt.chart.render with parameters of type TextRenderEvent
Modifier and Type
Method
Description
`void`
DeferredCache.`addLabel(TextRenderEvent tre)`
Adds text rendering event to cache.